# Enter Leveraged Vaults

## Enter Leveraged Vault

Notional users can use the `enterVault` method to initiate or update a vault position:&#x20;

```
def get_deposit_params(minPoolClaim=0, trade=bytes()):
    return eth_abi.encode_abi(
        ['(uint256, bytes)'],
        [[minPoolClaim, trade]]
        )

depositParams = get_deposit_params()

# Enter a vault by depositing 10 USDC, borrowing 20 fUSDC from Notional in the December 18, 2023 (1702944000) maturity with a max borrow interest rate limit of 5%.
notional.enterVault(account.address, vaultAddress, 10e6, 1702944000, 25e8, 0.05 * 1e9, depositParams, {'from':account})
```

A user can enter a vault at a specific leverage ratio by selecting the amount of Prime Cash he borrows and the deposit amount.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/contract-interaction-guides/trading-guide/enter-leveraged-vaults.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
